## gmt 4.5.6

=== Makefile ===
#	$Id: Makefile,v 1.86 2011/03/03 21:02:49 guru Exp $
#
#	Copyright (c) 1991-2011 by P. Wessel and W. H. F. Smith
#	See LICENSE.TXT file for copying and redistribution conditions.
#
#	This program is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; version 2 or any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	Contact info: gmt.soest.hawaii.edu
#-------------------------------------------------------------------------------
#		Makefile for GMT Version 4.x
#		GNU, Sys V, and BSD Compatible
#
#	Follow the instructions in this makefile to customize your setup.
#	Commands marked *** are optional
#	1. run configure in the main GMT directory.
#	2. make all
#	3. make suppl    ***
#	4. make examples ***
#
#	Then, if you have the necessary directory permissions:
#
#	5. make install-all
#
#	or any combination of
#
#	make install-gmt
#	make install-suppl
#	make install-data
#	make install-man
#	make install-doc
#
#	When done, clean out directory with "make clean".  To clean
#	the entire build distribution, do "make distclean"
#
#	To uninstall the installed files, try
#
#	make uninstall-all
#
#	or any combination of
#
#	make uninstall-gmt
#	make uninstall-suppl
#	make uninstall-data
#	make uninstall-man
#	make uninstall-doc
#
#	Authors:	Paul Wessel, SOEST, U. of Hawaii
#			Walter H. F. Smith, Lab for Satellite Altimetry, NOAA
#			The GMT Team
#
#	Date:		15-JAN-2010
#-------------------------------------------------------------------------------
#	Get Default Macros
#-------------------------------------------------------------------------------

include src/config.mk	# GMT-specific settings determined by user & install_gmt

#-------------------------------------------------------------------------------
#	!! STOP EDITING HERE, THE REST IS FIXED !!
#-------------------------------------------------------------------------------

.PHONY:		all gmt suppl update gmtmacros \
		install uninstall install-all uninstall-all install-gmt uninstall-gmt \
		install-suppl uninstall-suppl install-data uninstall-data install-man uninstall-man \
		install-doc uninstall-doc examples run-examples animations run-animations clean spotless distclean $(SUPPL)

all:		gmt suppl

help::
		@grep '^#!' Makefile | cut -c3-
#!-------------------- MAKE HELP FOR GMT --------------------
#!
#!make <target>, where <target> can be:
#!
#!all           : Compile both GMT and supplements
#!gmt           : Compile main GMT source only
#!suppl         : Compile supplements only
#!install       : Compile & install GMT and supplements
#!install-gmt   : Compile & install main GMT programs only
#!install-suppl : Compile & install supplements only
#!install-data  : Install GMT data files
#!install-man   : Install man pages
#!install-doc   : Install PDF and HTML documentation
#!install-all   : Compile & install everything, including data, man pages, documentation
#!examples      : Run examples
#!animations    : Run animations
#!spotless      : Clean up and remove created files of all types
#!

install:	install-gmt install-suppl
uninstall:	uninstall-gmt uninstall-suppl

install-all:	install-gmt install-suppl install-data install-man install-doc
uninstall-all:	uninstall-gmt uninstall-suppl uninstall-data uninstall-man uninstall-doc

gmt:		gmtmacros
		cd src ; $(MAKE) all

install-gmt:	gmtmacros
		cd src ; $(MAKE) install

uninstall-gmt:
		cd src ; $(MAKE) uninstall

suppl:		gmtmacros
		cd src ; $(MAKE) libs
		$(MAKE) TARGET=all $(SUPPL)

install-suppl suppl-install:	gmtmacros
		cd src ; $(MAKE) libs
		$(MAKE) TARGET=install $(SUPPL)

uninstall-suppl:
		$(MAKE) TARGET=uninstall $(SUPPL)

gmtmacros:
		@if [ ! -s src/config.mk ]; then \
			echo "src/config.mk is empty - you must rerun configure in the main GMT directory"; \
			exit 1; \
		fi

install-data:
		@if [ ! $(rootdir)/share = $(datadir) ]; then \
			for dir in coast conf cpt custom dbase mgd77 mgg pattern pslib time x2sys; do \
				if [ -d $(rootdir)/share/$$dir ]; then \
					mkdir -p $(datadir)/$$dir; \
					\cp -p `ls -d $(rootdir)/share/$$dir/* | grep -v "\.in$$" | grep -v "CVS"` $(datadir)/$$dir ; \
				fi; \
			done; \
		else \
			echo "Install share directory the same as distribution share directory - nothing copied"; \
		fi

uninstall-data:
		@if [ ! $(rootdir)/share = $(datadir) ]; then \
			\rm -rf $(datadir); \
		else \
			echo "Install share directory the same as distribution share directory - nothing removed"; \
		fi

install-man uninstall-man:
		cd src ; $(MAKE) $@
		$(MAKE) TARGET=$@ $(SUPPL)

install-doc::
		@if [ ! $(rootdir)/share/doc/gmt = $(docdir) ]; then \
			mkdir -p $(docdir); \
			cd $(rootdir)/share/doc/gmt; \
			cp -pr html pdf examples tutorial $(docdir); \
			cd $(docdir); \
			rm -rf */CVS */orig */*/CVS */*/.gmt* */*/*.ps */*/.cvs*; \
		else \
			echo "Install doc directory the same as distribution doc directory - nothing copied"; \
		fi

uninstall-doc:
		@if [ ! $(rootdir)/share/doc = $(docdir) ]; then \
			\rm -rf $(docdir); \
		else \
			echo "Install doc directory the same as distribution doc directory - nothing deleted"; \
		fi

# Run examples with the binaries from the src directory, not the installation directory.

examples run-examples animations run-animations:
		@if [ -d share/doc/gmt/examples ]; then \
			cd share/doc/gmt/examples; $(MAKE) $@; \
		else \
			echo "examples directory not installed"; \
		fi

clean::
		$(MAKE) TARGET=$@ $(SUPPL)
		cd src ; $(MAKE) $@

spotless::
		\rm -f config.cache config.status config.log
		$(MAKE) TARGET=$@ $(SUPPL)
		cd src ; $(MAKE) $@

distclean:	spotless

$(SUPPL):
		@set -e; if [ -d src/$@ ]; then \
			echo "Making $(TARGET) in src/$@"; \
			cd src/$@; $(MAKE) $(TARGET); \
		fi

=== src/Makefile ===
#	$Id: Makefile,v 1.59 2011/03/03 21:02:50 guru Exp $
#
#	Copyright (c) 1991-2011 by P. Wessel and W. H. F. Smith
#	See LICENSE.TXT file for copying and redistribution conditions.
#
#	This program is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; version 2 or any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	Contact info: gmt.soest.hawaii.edu
#-------------------------------------------------------------------------------
#		Makefile for GMT Version 4 src directory
#		GNU, Sys V, and BSD Compatible
#
#	Normally, this makefile is activated by the main Makefile in
#	the GMT main directory.  However, you can also issue commands
#	directy to this makefile from within the src directory.
#	First, run configure in the main GMT directory.
#	To compile/link them, try "make init", "make all", and "make install".
#	When done, clean out directory with "make clean".
#	To start installation from scratch, first do "make spotless"
#	To wipe out installed modules, do "make uninstall"
#
#	Authors:	Paul Wessel, SOEST, U. of Hawaii
#			Walter H. F. Smith, Lab for Satellite Altimetry, NOAA
#
#	Date:		20-SEPT-2009

#-------------------------------------------------------------------------------
#	!! STOP EDITING HERE, THE REST IS FIXED !!
#-------------------------------------------------------------------------------

include config.mk	# GMT-specific settings determined by user & configure
include common.mk	# Dependencies

DEFINES		= -DGMT_SHARE_PATH=\"$(GMT_SHARE_PATH)\" $(TRIANGLE_D)
INCLUDES	= $(NETCDF_INC) $(GDAL_INC)

LIB_O		= gmt_bcr.o gmt_calclock.o gmt_cdf.o gmt_customio.o gmt_grdio.o gmt_init.o gmt_io.o \
		gmt_map.o gmt_nc.o gmt_proj.o gmt_shore.o gmt_stat.o gmt_support.o gmt_vector.o

LIBPS_O		= gmt_plot.o

PROGS_O		= blockmean.o blockmedian.o blockmode.o filter1d.o fitcircle.o gmtconvert.o \
		gmtdefaults.o gmtmath.o gmtselect.o gmtset.o grd2cpt.o grd2xyz.o grdblend.o grdcut.o \
		grdclip.o grdedit.o grdfft.o grdfilter.o grdgradient.o grdhisteq.o grdinfo.o grdlandmask.o \
		grdmask.o grdtrack.o grdreformat.o grdmath.o grdpaste.o grdproject.o grdsample.o grdtrend.o \
		grdvolume.o greenspline.o makecpt.o mapproject.o minmax.o nearneighbor.o project.o ps2raster.o \
		sample1d.o spectrum1d.o splitxyz.o surface.o trend1d.o trend2d.o triangulate.o xyz2grd.o

PROGSPS_O	= gmt2rgb.o grdcontour.o grdimage.o grdvector.o grdview.o psbasemap.o psclip.o \
	  	pscoast.o pscontour.o pshistogram.o psimage.o pslegend.o psmask.o psrose.o \
		psscale.o pstext.o pswiggle.o psxy.o psxyz.o

SCRIPTS		= GMT gmt_shell_functions.sh gmtget gmtlogo isogmt psbbox.sh ../gmtswitch
ALLPROGS	= $(SCRIPTS) $(PROGS) $(PROGSPS)

CONFIGS		= config.mk gmt_version.h gmt_notposix.h GMT

MAN1		= GMT.1 gmt_shell_functions.1 gmtget.1 gmtlogo.1 isogmt.1 psbbox.1 \
		$(PROGS_O:.o=.1) $(PROGSPS_O:.o=.1)
MAN3		= pslib.3
MAN5		= gmtcolors.5

#-------------------------------------------------------------------------------
#	software targets
#-------------------------------------------------------------------------------

all:		init $(ALLPROGS)

init:		gmtmacros gmt_version.h gmt_notposix.h GMT
		
gmtmacros:
		@if [ ! -s config.mk ]; then \
			echo "src/config.mk is empty - you must rerun configure in the main GMT directory"; \
			exit 1; \
		fi

gmt_version.h:	gmt_version.h.in
		@echo "You must first run configure in the main GMT directory"; exit 1

gmt_notposix.h:	gmt_notposix.h.in
		@echo "You must first run configure in the main GMT directory"; exit 1

GMT:		GMT.in
		@echo "You must first run configure in the main GMT directory"; exit 1

install:	all
		$(INSTALL) -d $(bindir)
		$(INSTALL) $(ALLPROGS) $(bindir)
		if [ ! $(libdir) = $(srcdir) ]; then \
			$(INSTALL) -d $(libdir) ; \
			$(INSTALL) -m 644 $(LIBGMTPS:.$(LIBEXT)=.a) $(libdir); \
			if [ ! $(LIBEXT) = a ]; then $(INSTALL) -m 755 $(LIBGMTPS) $(libdir); fi \
		fi
		if [ ! $(includedir) = $(srcdir) ]; then \
			$(INSTALL) -d $(includedir) ; \
			$(INSTALL) -m 644 $(GMT_H) $(PS_H) $(PS_I) $(includedir); \
		fi
		if [ $(LIBEXT) != a ] && [ $(SL) != $(SL_VERSION) ]; then \
			cd $(libdir) ; \
			for lib in $(LIBGMTPS:.$(LIBEXT)=) ; do\
				\mv -f $$lib.$(SL) $$lib.$(SL_VERSION); \
				$(LN_S) $$lib.$(SL_VERSION) $$lib.$(SL); \
			done; \
		fi

uninstall:
		cd $(bindir); \rm -f $(ALLPROGS)
		if [ ! $(libdir) = $(srcdir) ]; then \
			cd $(libdir); \rm -f $(LIBGMTPS) $(LIBGMTPS:.$(LIBEXT)=.a); \
		fi
		if [ ! $(includedir) = $(srcdir) ]; then \
			cd $(includedir); \rm -f $(GMT_H) $(PS_H) $(PS_I); \
		fi

install-man:	$(MAN1) $(MAN3) $(MAN5)
		$(INSTALL) -d $(mandir)/man1 $(mandir)/man3 $(mandir)/man5
		$(INSTALL) -m 644 $(MAN1) $(mandir)/man1
		$(INSTALL) -m 644 $(MAN3) $(mandir)/man3
		$(INSTALL) -m 644 $(MAN5) $(mandir)/man5

uninstall-man:
		cd $(mandir)/man1; \rm -f $(MAN1)
		cd $(mandir)/man3; \rm -f $(MAN3)
		cd $(mandir)/man5; \rm -f $(MAN5)

clean:
		\rm -f *% *.o *.a *.$(SL) $(PROGS) $(PROGSPS)

spotless::	clean
		\rm -f $(CONFIGS)

distclean:	spotless

#-------------------------------------------------------------------------------
#	object file dependencies
#-------------------------------------------------------------------------------

$(LIB_O) $(PROGS_O):		$(GMT_H)
$(LIBPS_O) $(PROGSPS_O):	$(GMT_H) $(PS_H)
pslib.o:	$(PS_H) gmt_notunix.h gmt_notposix.h gmt_math.h

# Additional unusual dependancies

blockmean.o blockmedian.o blockmode.o:	block_subs.c block_subs.h
gmt_customio.o: gmt_mgg_header2.c gmt_mgg_header2.h gmt_agc_io.c
gmt_grdio.o:	gmt_grdformats.h
gmt_init.o:	gmt_colornames.h gmt_datums.h gmt_ellipsoids.h gmt_globals.h \
		gmt_keycases.h gmt_keywords.h gmt_media_name.h gmt_media_size.h \
		gmt_unique.h
gmt_map.o gmt_proj.o:	gmt_proj.h
gmt_support.o:	gmt_color_rgb.h gmt_pennames.h
gmtmath.o:	gmtmath.h gmtmath_def.h gmtmath_explain.h
grdmath.o:	grdmath.h grdmath_def.h grdmath_explain.h
grd2xyz.o xyz2grd.o:	gmt_parse_z_io.h
grdreformat.o:	grdreformat.h

# Jonathan Shewchuk's triangulation model (www.cs.cmu.edu/~quake)
# Only used if TRIANGLE_D and TRIANGLE_O are set in config.mk
# Please read README.TRIANGLE in this source directory.

triangle.o:	triangle.c triangle.h
		$(CC) -c $(CFLAGS) -DNO_TIMER -DTRILIBRARY -DREDUCED -DCDT_ONLY $<

# Assembly wrapper for sincos on Dec Alphas
# Only used if ALPHA_SINCOS_O are set in config.mk

alpha-sincos.o:	alpha-sincos.s
		$(AS) -o alpha-sincos.o $<

#-------------------------------------------------------------------------------
#	libraries
#-------------------------------------------------------------------------------

.SUFFIXES:	.$(SL)

libs:		$(LIBGMT)

libpsl.a:	pslib.o
		$(AR) cvur $@ $?
		$(RANLIB) $@

libgmt.a:	$(LIB_O) $(TRIANGLE_O) $(ALPHA_SINCOS_O)
		$(AR) cvur $@ $?
		$(RANLIB) $@

libgmtps.a:	$(LIBPS_O) 
		$(AR) cvur $@ $?
		$(RANLIB) $@

libpsl.$(SL):	libpsl.a
		$(LD) $(LD_OPT) pslib.o $(LIBS) -o $@

libgmt.$(SL):	libgmt.a
		$(LD) $(LD_OPT) $(LIB_O) $(TRIANGLE_O) $(ALPHA_SINCOS_O) $(NETCDF_LIB) $(GDAL_LIB) $(LIBS) -o $@

libgmtps.$(SL):	libgmtps.a libgmt.$(SL) libpsl.$(SL)
		$(LD) $(LD_OPT) $(LIBPS_O) libgmt.$(SL) libpsl.$(SL) $(LIBS) -o $@

#-------------------------------------------------------------------------------
#	program rules
#-------------------------------------------------------------------------------

blockmean$(EXE):	blockmean.o
blockmedian$(EXE):	blockmedian.o
blockmode$(EXE):	blockmode.o
filter1d$(EXE):		filter1d.o
fitcircle$(EXE):	fitcircle.o
gmt2rgb$(EXE):		gmt2rgb.o
gmtconvert$(EXE):	gmtconvert.o
gmtdefaults$(EXE):	gmtdefaults.o
gmtmath$(EXE):		gmtmath.o
gmtselect$(EXE):	gmtselect.o
gmtset$(EXE):		gmtset.o
grd2cpt$(EXE):		grd2cpt.o
grd2xyz$(EXE):		grd2xyz.o
grdblend$(EXE):		grdblend.o
grdclip$(EXE):		grdclip.o
grdcontour$(EXE):	grdcontour.o
grdcut$(EXE):		grdcut.o
grdedit$(EXE):		grdedit.o
grdfft$(EXE):		grdfft.o
grdfilter$(EXE):	grdfilter.o
grdgradient$(EXE):	grdgradient.o
grdhisteq$(EXE):	grdhisteq.o
grdimage$(EXE):		grdimage.o
grdinfo$(EXE):		grdinfo.o
grdlandmask$(EXE):	grdlandmask.o
grdmask$(EXE):		grdmask.o
grdmath$(EXE):		grdmath.o
grdpaste$(EXE):		grdpaste.o
grdproject$(EXE):	grdproject.o
grdreformat$(EXE):	grdreformat.o
grdsample$(EXE):	grdsample.o
grdtrack$(EXE):		grdtrack.o
grdtrend$(EXE):		grdtrend.o
grdvector$(EXE):	grdvector.o
grdview$(EXE):		grdview.o
grdvolume$(EXE):	grdvolume.o
greenspline$(EXE):	greenspline.o
makecpt$(EXE):		makecpt.o
mapproject$(EXE):	mapproject.o
minmax$(EXE):		minmax.o
nearneighbor$(EXE):	nearneighbor.o
project$(EXE):		project.o
ps2raster$(EXE):	ps2raster.o
psbasemap$(EXE):	psbasemap.o
psclip$(EXE):		psclip.o
pscoast$(EXE):		pscoast.o
pscontour$(EXE):	pscontour.o
pshistogram$(EXE):	pshistogram.o
psimage$(EXE):		psimage.o
pslegend$(EXE):		pslegend.o
psmask$(EXE):		psmask.o
psrose$(EXE):		psrose.o
psscale$(EXE):		psscale.o
pstext$(EXE):		pstext.o
pswiggle$(EXE):		pswiggle.o
psxy$(EXE):		psxy.o
psxyz$(EXE):		psxyz.o
sample1d$(EXE):		sample1d.o
spectrum1d$(EXE):	spectrum1d.o
splitxyz$(EXE):		splitxyz.o
surface$(EXE):		surface.o
trend1d$(EXE):		trend1d.o
trend2d$(EXE):		trend2d.o
triangulate$(EXE):	triangulate.o
xyz2grd$(EXE):		xyz2grd.o

$(PROGS):	$(LIBGMT)
		$(CC) $(LDFLAGS) $(@:.exe=).o $(GMT_LIB) $(NETCDF_LIB) $(GDAL_LIB) $(LIBS) -o $@
		$(COMPRESS) $@

$(PROGSPS):	$(LIBGMTPS)
		$(CC) $(LDFLAGS) $(@:.exe=).o $(GMTPS_LIB) $(NETCDF_LIB) $(GDAL_LIB) $(LIBS) -o $@
		$(COMPRESS) $@

=== share/doc/gmt/examples/Makefile ===
#	$Id: Makefile,v 1.3 2011/03/03 20:25:45 guru Exp $
.PHONY:
	examples run-examples animations run-animations

EX=example_01.ps example_02.ps example_03.ps example_03a.ps example_03b.ps example_03c.ps example_03d.ps example_03e.ps example_03f.ps \
example_04.ps example_04c.ps example_05.ps example_06.ps \
example_07.ps example_08.ps example_09.ps example_10.ps example_11.ps example_12.ps \
example_13.ps example_14.ps example_15.ps example_16.ps example_17.ps example_18.ps \
example_19.ps example_20.ps example_21.ps example_22.ps example_23.ps example_24.ps \
example_25.ps example_26.ps example_27.ps example_28.ps example_29.ps example_30.ps
ANIM=anim_01.ps anim_02.ps anim_03.ps anim_04.ps

examples run-examples:	$(EX)
animations run-animations:	$(ANIM)
extests tests:	examples animations
	run_ex_tests.sh

clean spotless:
	rm -f $(EX) $(ANIM)

example_01.ps: ex01/job01.sh ex01/osu91a1f_16.nc
	cd ex01 ; ./job01.sh
example_02.ps: ex02/job02.sh ex02/HI_geoid2.nc ex02/HI_topo2.nc
	cd ex02 ; ./job02.sh
example_03.ps example_03a.ps example_03b.ps example_03c.ps example_03d.ps example_03e.ps example_03f.ps: ex03/job03.sh ex03/sat.xyg
	cd ex03 ; ./job03.sh
example_04.ps: ex04/job04.sh ex04/HI_geoid4.nc ex04/HI_topo4.nc ex04/geoid.cpt ex04/topo.cpt
	cd ex04 ; ./job04.sh
example_04c.ps: ex04/job04c.sh ex04/HI_geoid4.nc ex04/HI_topo4.nc ex04/geoid.cpt ex04/topo.cpt
	cd ex04 ; ./job04c.sh
example_05.ps: ex05/job05.sh
	cd ex05 ; ./job05.sh
example_06.ps: ex06/job06.sh ex06/fractures.d ex06/v3206.t
	cd ex06 ; ./job06.sh
example_07.ps: ex07/job07.sh ex07/fz.xy ex07/isochron.xy ex07/quakes.xym ex07/ridge.xy
	cd ex07 ; ./job07.sh
example_08.ps: ex08/job08.sh ex08/guinea_bay.nc
	cd ex08 ; ./job08.sh
example_09.ps: ex09/job09.sh ex09/all.xys ex09/fz.xy ex09/ridge.xy ex09/track_d.107.xys ex09/track_d.109.xys ex09/track_d.111.xys \
ex09/track_d.137.xys ex09/track_d.139.xys ex09/track_d.165.xys ex09/track_d.167.xys ex09/track_d.193.xys ex09/track_d.195.xys ex09/track_d.197.xys \
ex09/track_d.21.xys ex09/track_d.223.xys ex09/track_d.225.xys ex09/track_d.23.xys ex09/track_d.25.xys ex09/track_d.251.xys ex09/track_d.253.xys \
ex09/track_d.279.xys ex09/track_d.281.xys ex09/track_d.283.xys ex09/track_d.309.xys ex09/track_d.311.xys ex09/track_d.337.xys ex09/track_d.339.xys \
ex09/track_d.365.xys ex09/track_d.367.xys ex09/track_d.369.xys ex09/track_d.395.xys ex09/track_d.397.xys ex09/track_d.423.xys ex09/track_d.425.xys \
ex09/track_d.427.xys ex09/track_d.451.xys ex09/track_d.453.xys ex09/track_d.455.xys ex09/track_d.481.xys ex09/track_d.483.xys \
ex09/track_d.49.xys ex09/track_d.51.xys ex09/track_d.53.xys ex09/track_d.79.xys ex09/track_d.81.xys
	cd ex09 ; ./job09.sh
example_10.ps: ex10/job10.sh ex10/agu2008.d
	cd ex10 ; ./job10.sh
example_11.ps: ex11/job11.sh ex11/cut-here.dat ex11/rays.dat
	cd ex11 ; ./job11.sh
example_12.ps: ex12/job12.sh ex12/table_5.11
	cd ex12 ; ./job12.sh
example_13.ps: ex13/job13.sh
	cd ex13 ; ./job13.sh
example_14.ps: ex14/job14.sh ex14/table_5.11
	cd ex14 ; ./job14.sh
example_15.ps: ex15/job15.sh
	cd ex15 ; ./job15.sh
example_16.ps: ex16/job16.sh ex16/circuit.ras ex16/ex16.cpt ex16/table_5.11
	cd ex16 ; ./job16.sh
example_17.ps: ex17/job17.sh ex17/india_geoid.nc ex17/india_topo.nc
	cd ex17 ; ./job17.sh
example_18.ps: ex18/job18.sh ex18/AK_gulf_grav.nc
	cd ex18 ; ./job18.sh
example_19.ps: ex19/job19.sh ex19/circuit.ras
	cd ex19 ; ./job19.sh
example_20.ps: ex20/job20.sh ex20/bullseye.def
	cd ex20 ; ./job20.sh
example_21.ps: ex21/job21.sh ex21/RHAT_price.csv
	cd ex21 ; ./job21.sh
example_22.ps: ex22/job22.sh ex22/USGS.ras ex22/neic_quakes.d
	cd ex22 ; ./job22.sh
example_23.ps: ex23/job23.sh
	cd ex23 ; ./job23.sh
example_24.ps: ex24/job24.sh ex24/oz_quakes.d
	cd ex24 ; ./job24.sh
example_25.ps: ex25/job25.sh
	cd ex25 ; ./job25.sh
example_26.ps: ex26/job26.sh
	cd ex26 ; ./job26.sh
example_27.ps: ex27/job27.sh ex27/tasman_grav.nc
	cd ex27 ; ./job27.sh
example_28.ps: ex28/job28.sh ex28/Kilauea.utm.nc
	cd ex28 ; ./job28.sh
example_29.ps: ex29/job29.sh
	cd ex29 ; ./job29.sh
example_30.ps: ex30/job30.sh ex29/mars370.in
	cd ex30 ; ./job30.sh

anim_01.ps: anim01/anim_01.sh
	cd anim01 ; ./anim_01.sh
anim_02.ps: anim02/anim_02.sh
	cd anim02 ; ./anim_02.sh
anim_03.ps: anim03/anim_03.sh anim03/Iceland.nc
	cd anim03 ; ./anim_03.sh
anim_04.ps: anim04/anim_04.sh anim04/USEast_Coast.nc
	cd anim04 ; ./anim_04.sh

=== debian/changelog ===
gmt (4.5.6-1) unstable; urgency=low

  * New upstream release.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 28 Mar 2011 12:50:08 +0200

gmt (4.5.5-1) unstable; urgency=low

  * New upstream release.
  * Moved from svn to git repository and changed Vcs-* as due.
  * Policy bumped to 3.9.1.
  * Compatibility level set to 8.
  * Now using source format 3.0. Note that quilt is still required
    as explicit build-dep due to the peculiar unpacking method.
  * Fixed creat-orig-tar to create the use the correct tarball name.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 07 Mar 2011 15:44:04 +0100

gmt (4.5.2-1) unstable; urgency=low

  * New upstream release.
  * Policy bumped to 3.8.4. No changes.
  * Added a NEWS file about new coastline data format.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 15 Feb 2010 18:09:07 +0100

gmt (4.5.1-1) unstable; urgency=low

  * New upstream release.
  * Policy bumped to 3.8.3. No changes.
  * [lintian] Changed my dotted name in Uploaders to avoid annoying warnings.
  * [lintian] Wrapped changelog line.
  * Fixed creat-orig-tar rule in debian/rules for correct directory naming.
  * Added ${misc:Depends} item in debian/control. 
  * GMT uses GPL-2 strictly.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 21 Sep 2009 22:47:01 +0200

gmt (4.4.0-1) unstable; urgency=low

  * New upstream release. Note that /etc/gmt/gmt_formats.conf is no more 
    installed and all provided files are removed.
    (closes: #490268, #499648)
  * Moved to debhelper level 7.
  * Added a dh_prep call at building start.
  * Revised debian/rules to work with new upstream locations.
  * Updated README.Debian.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 26 Mar 2009 11:19:15 +0100

gmt (4.3.1-3) unstable; urgency=medium

  * Removed headers from gmt binary package.
    (closes: #488779)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 01 Jul 2008 17:53:56 +0200

gmt (4.3.1-2) unstable; urgency=low

  * First upload to unstable.
  * gmt-examples section set to doc. 

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 27 Jun 2008 10:01:49 +0200

gmt (4.3.1-1) experimental; urgency=low

  * New upstream release
    (closes: #480931)
  * Fixed download URL. 
  * Added a README.source file to document how creating the upstream
    tarball.
  * Patch disable_unsupported.diff dropped and moved to use appropriate
    configure flag.
  * Added three new PDF documents in different formats.
  * Policy bumped to 3.8.0.
  * Now GMT is providing correct versioning and SONAMEs for shared libs,
    so moving to supporting development libraries by splitting libgmt4 and
    libgmt-dev binary packages. A long due wishlist finally managed, yeah!
    (closes: #210611)
  * Removed manpages duplicates and changing man section to *gmt 
    in man headers [lintian].
  * Removed empty man directories.
  * Fixed clean target to remove GMT symlink.
  * Fixed wrapping in debian/changelog [lintian]
  * Added copyright notice to debian/copyright [lintian]
  * Moved to libnetcdf-dev instead of old netcdfg-dev now obsolete.
  * Build-dep on c-shell removed, because not more required.
  * Long description revised.
  * CC_OPT is not more used in building, uses CFLAGS instead. 
  * Added symlink to all *.conf files in /etc within /usr/share/gmt.
  * Fixed debian/gmt-examples.examples to install examples for true.
  * Now avoids compression of examples/ stuff in debian/rules.
  * A note has been added to README.Debian to explain how to run examples
    scripts. 
  * Added debian/watch file.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 16 Jun 2008 14:16:11 +0200

gmt (4.2.1-1) unstable; urgency=low

  * New upstream release. There is no more a _man file, all manpages
    are in _src debian/rules changed as consequence This partially fixes
    #181557 but project.1 is still a bit weird.
  * Revised man page installation in debian/rules, due to changes in the
    building system.
  * In debian/rules: added LDFLAGS="-g" at build-time, in order to
    create unstripped binaries.
    (closes: #437047)
  * In debian/rules: added private libraries path to search for libs when
    calling dh_shlibdeps
  * Policy bumped to 3.7.3, without changes.
  * Added Vcs-* fields to debian/control.
  * Now installs some additional pdfs in gmt-doc-pdf.
  * GMT wrapper changed to modify PATH before calling a GMT command.
    Patch applied on fly in debian/rules.
    (closes: #416869)
  * Fixed patches and debian/rules to use quilt in top dir and support
    next generation source package.
    (closes: #485163)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 12 Jun 2008 14:21:53 +0200

gmt (4.2.0-1) unstable; urgency=low

  [ Torsten Landschoff ]
  * New upstream release.
    (closes: #403838, #157744)
  * Hand over to Debian GIS team for group maintenance.

  [ Francesco Paolo Lovergine ]
  * Moved to policy 3.7.2, without changes
  * Debhelper level moved to 5
  * Added html/pdf browser suggestions.
  * Updated home page in copyright file.
  * Added home page ini debian/control descriptions.
    (closes: #416766)
  * Introduced Homepage field in debian/control.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 03 Oct 2007 13:19:04 +0200

gmt (4.1.2-1.1) unstable; urgency=low

  * Non-maintainer upload to fix Failure To Build From Source due to missing
    build-dependencies.  Thanks to Neil Williams for the patch. 
    (Closes: #379214)
  * debian/control: added libxmu-headers and libxaw7-dev as build-dependencies

 -- Margarita Manterola <marga@debian.org>  Thu, 10 Aug 2006 18:26:59 -0300

gmt (4.1.2-1) unstable; urgency=low

  * Correct upstream release (closes: #369216).
  * Include README.Debian file into gmt package (closes: #369215).
  * Include upstream changelog (closes: #369217).
  * Actually include examples in gmt-examples package (closes: #369214).

 -- Torsten Landschoff <torsten@debian.org>  Sat,  3 Jun 2006 02:48:16 +0200



=== debian/control ===
Source: gmt
Section: science
Priority: extra
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Torsten Landschoff <torsten@debian.org>, Francesco Paolo Lovergine <frankie@debian.org>
Build-Depends: libnetcdf-dev, debhelper (>= 8), quilt, bzip2, libxmu-headers, libxaw7-dev
Build-Depends-Indep: debhelper (>= 8), quilt, bzip2
Standards-Version: 3.9.1
Homepage: http://gmt.soest.hawaii.edu/
Vcs-Browser: http://git.debian.org/?p=pkg-grass/gmt.git
Vcs-Git: git://git.debian.org/git/pkg-grass/gmt.git

Package: gmt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: gmt-manpages
Conflicts: gmt-manpages
Recommends: gmt-coastline-data | gmt-coast-low, gmt-doc
Suggests: gmt-tutorial-pdf, gmt-doc-pdf, gmt-examples
Description: Generic Mapping Tools
 GMT is a collection of tools that allow users to manipulate
 (x,y) and (x,y,z) data sets (including filtering, trend fitting, gridding,
 projecting, etc.) and produce Encapsulated PostScript File (EPS) illustrations
 ranging from simple x-y plots through contour maps to artificially illuminated
 surfaces and 3-D perspective views in black and white, gray tone, hachure
 patterns, and 24-bit color. 
 .
 GMT supports many common map projections plus linear, log, and power scaling,
 and comes with support data such as coastlines, rivers, and political
 boundaries. 

Package: libgmt4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gmt
Description: Generic Mapping Tools Library
 GMT libraries allow manipulating geographic and Cartesian data sets
 (including filtering, trend fitting, gridding, projecting, etc.) and
 producing Encapsulated PostScript File (EPS) illustrations ranging from
 simple x-y plots via contour maps to artificially illuminated surfaces
 and 3-D perspective views. 

Package: libgmt-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, libgmt4 (=${binary:Version}), libnetcdf-dev, ${misc:Depends}
Suggests: gmt
Description: Generic Mapping Tools Library
 These set of libraries allow manipulating geographic and Cartesian data sets
 (including filtering, trend fitting, gridding, projecting, etc.) and
 producing Encapsulated PostScript File (EPS) illustrations ranging from
 simple x-y plots via contour maps to artificially illuminated surfaces
 and 3-D perspective views. 
 .
 This package contains the files used for development of programs that
 use the GMT libraries (headers, static objects).

Package: gmt-doc-pdf
Architecture: all
Section: doc
Suggests: pdf-viewer
Description: PDF docs for GMT, the Generic Mapping Tools
 GMT is a collection of tools that allow users to manipulate
 (x,y) and (x,y,z) data sets (including filtering, trend fitting, gridding,
 projecting, etc.) and produce Encapsulated PostScript File (EPS) illustrations
 ranging from simple x-y plots through contour maps to artificially illuminated
 surfaces and 3-D perspective views in black and white, gray tone, hachure
 patterns, and 24-bit color. 
 .
 GMT supports many common map projections plus linear, log, and power scaling,
 and comes with support data such as coastlines, rivers, and political
 boundaries. 

Package: gmt-tutorial-pdf
Architecture: all
Section: doc
Suggests: pdf-viewer
Description: Tutorial for GMT, the Generic Mapping Tools (PDF)
 GMT is a collection of tools that allow users to manipulate
 (x,y) and (x,y,z) data sets (including filtering, trend fitting, gridding,
 projecting, etc.) and produce Encapsulated PostScript File (EPS) illustrations
 ranging from simple x-y plots through contour maps to artificially illuminated
 surfaces and 3-D perspective views in black and white, gray tone, hachure
 patterns, and 24-bit color. 
 .
 GMT supports many common map projections plus linear, log, and power scaling,
 and comes with support data such as coastlines, rivers, and political
 boundaries. 

Package: gmt-doc
Architecture: all
Section: doc
Suggests: www-browser
Description: HTML documentation for GMT, the Generic Mapping Tools
 GMT is a collection of UNIX tools that allow users to manipulate
 (x,y) and (x,y,z) data sets (including filtering, trend fitting, gridding,
 projecting, etc.) and produce Encapsulated PostScript File (EPS) illustrations
 ranging from simple x-y plots through contour maps to artificially illuminated
 surfaces and 3-D perspective views in black and white, gray tone, hachure
 patterns, and 24-bit color. 
 .
 GMT supports many common map projections plus linear, log, and power scaling,
 and comes with support data such as coastlines, rivers, and political
 boundaries. 
 .
 This package contains the HTML documentation for GMT, consisting of 
   - the tutorial
   - the cookbook and technical reference
   - the manpages converted to HTML.

Package: gmt-examples
Architecture: all
Section: doc
Suggests: gmt
Description: Example scripts illustrating the use of GMT
 GMT is a collection of tools that allow users to manipulate
 (x,y) and (x,y,z) data sets (including filtering, trend fitting, gridding,
 projecting, etc.) and produce Encapsulated PostScript File (EPS) illustrations
 ranging from simple x-y plots through contour maps to artificially illuminated
 surfaces and 3-D perspective views in black and white, gray tone, hachure
 patterns, and 24-bit color. 
 .
 GMT supports many common map projections plus linear, log, and power scaling,
 and comes with support data such as coastlines, rivers, and political
 boundaries.

=== debian/rules ===
#! /usr/bin/make -f

RELEASE		:= 4.5.6
PARTS		:= doc share src suppl 
ARCHIVES	:= $(PARTS:%=upstream/GMT$(RELEASE)_%.tar.bz2)

CFLAGS := -fPIC -ansi -pedantic

# Some special build options
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
   CFLAGS += -g -O0
   LDFLAGS += -g
else
   CFLAGS += -O2
endif

ifneq (,$(findstring verbose,$(DEB_BUILD_OPTIONS)))
   DH_VERBOSE=1
   export DH_VERBOSE
endif

unpack:		stamps/unpack-stamp
patch:		stamps/patch-stamp
build:		stamps/build-stamp
install:	stamps/install-stamp
binary:		binary-arch binary-indep

download-upstream:	$(ARCHIVES)

create-orig-tar:	$(ARCHIVES)
	dh_testdir
	mkdir -p gmt-$(RELEASE)/upstream
	ln -f $(ARCHIVES) gmt-$(RELEASE)/upstream
	tar cf - gmt-$(RELEASE)|gzip -9 > gmt_$(RELEASE).orig.tar.gz
	mv gmt_$(RELEASE).orig.tar.gz ..
	rm -R gmt-$(RELEASE)

upstream/%:
	dh_testdir
	mkdir -p upstream
	wget -O upstream/$*.partial ftp://ibis.grdl.noaa.gov/pub/gmt/$*
	mv upstream/$*.partial upstream/$*

stamps/unpack-stamp: 
	dh_testdir
	for i in $(ARCHIVES); do \
		tar xjf $$i || exit 1; \
	done
	mkdir -p stamps
	touch $@

stamps/patch-stamp:	stamps/unpack-stamp
	dh_testdir
	ln -sf GMT$(RELEASE) GMT
	QUILT_PATCH_OPTS="-p1" QUILT_PATCHES=debian/patches quilt push -a --color=auto || [ $$? = 2 ]
	touch $@

unpatch:
	dh_testdir
	QUILT_PATCH_OPTS="-p1" QUILT_PATCHES=debian/patches quilt pop -a || true
	rm -rf stamps/patch-stamp GMT .pc

PATHCONFIG	:= --prefix=/usr/lib/gmt
DESTDIR		:= $(CURDIR)/debian/tmp
PATHVARS	:= prefix=$(DESTDIR)/usr/lib/gmt

stamps/build-stamp: stamps/patch-stamp
	dh_testdir
	dh_prep
	cd GMT$(RELEASE) && ./configure \
		--enable-shared $(PATHCONFIG) --disable-mex --enable-netcdf=/usr
	$(MAKE) -C GMT$(RELEASE) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" all suppl 
	touch $@

stamps/install-stamp: stamps/build-stamp
	dh_testdir
	dh_testroot
	
	# Very tricky: GMT does not conform to FHS. As it proved to be very
	# time consuming to bend this beast I'll create a fake GMT tree
	# which links to the Debian accepted locations and install into
	# that tree.
	mkdir -p  $(DESTDIR)/usr/lib/gmt $(DESTDIR)/usr/share/gmt \
		$(DESTDIR)/usr/share/man $(DESTDIR)/usr/include/gmt \
		$(DESTDIR)/usr/share/doc $(DESTDIR)/etc/gmt $(DESTDIR)/usr/bin
	ln -fs ../../share/man $(DESTDIR)/usr/lib/gmt/man
	ln -fs ../../include/gmt $(DESTDIR)/usr/lib/gmt/include
	ln -fs ../../share/gmt $(DESTDIR)/usr/lib/gmt/share
	
	$(MAKE) -C GMT$(RELEASE) $(PATHVARS) install-all
	
	# Okay, we still have to move the documentation (the trick above does
	# not work because the Makefile would try to overwrite the link with
	# a directory). So move the docs and link them to where GMT will look
	# for them. 
	mv $(DESTDIR)/usr/lib/gmt/share/doc/gmt $(DESTDIR)/usr/share/doc/
	ln -fs ../../../share/doc/gmt $(DESTDIR)/usr/lib/gmt/share/doc/gmt
	
	# Move stuff from the doc directory up one level and replace the dir
	# with a symlink to .
#	mv $(DESTDIR)/usr/share/doc/gmt/doc/* $(DESTDIR)/usr/share/doc/gmt/
#	rmdir $(DESTDIR)/usr/share/doc/gmt/doc
#	ln -fs . $(DESTDIR)/usr/share/doc/gmt/doc
	
	# Configuration files are still at the wrong place, let's fix this
	mv $(DESTDIR)/usr/share/gmt/conf/*.conf $(DESTDIR)/etc/gmt/
	install -m644 debian/coastline.conf $(DESTDIR)/etc/gmt/
	for file in $(DESTDIR)/etc/gmt/*.conf; do \
		ln -fs /etc/gmt/`basename $$file` $(DESTDIR)/usr/share/gmt/`basename $$file`; \
	done
	
	# GMT wrapper does not help in /usr/lib/gmt/bin (not in path by default)
	# So: Move it to /usr/bin and patch it a bit locally to alter the PATH var.
	# Also use 'pager' instead of more as default pager in the script.
	sed -e 's/^exec /PATH=\$$PATH:\$${exec_prefix}\/bin exec /' \
	    -e 's/:-more/:-pager/' \
	    	$(DESTDIR)/usr/lib/gmt/bin/GMT >$(DESTDIR)/usr/bin/GMT
	rm -f $(DESTDIR)/usr/lib/gmt/bin/GMT
	
	# Move the manpages directory into the right place...
	for section in 1 3 5; do \
		mkdir -p $(DESTDIR)/usr/share/man/man$${section}; \
		for manpage in $(DESTDIR)/usr/lib/gmt/share/man/man$${section}/*.$${section}; do \
			sed -e "s/^\.TH \(.*\) $${section}/\.TH \1 $${section}gmt/" $${manpage}|gzip \
			       >$(DESTDIR)/usr/share/man/man$${section}/`basename $${manpage}`gmt.gz; \
			rm -f $${manpage}; \
		done; \
	done
	rm -rf $(DESTDIR)/usr/share/gmt/man
	
	touch $@

binary-arch: stamps/install-stamp
	dh_testdir -a
	dh_testroot -a
	dh_install --list-missing --sourcedir=$(DESTDIR)
	dh_installchangelogs -a
	dh_installchangelogs -pgmt GMT$(RELEASE)/ChangeLog
	dh_installdocs -a
	dh_installexamples -a
	dh_installmenu -a
	dh_installman -a
	dh_strip -a
	dh_link -a
	dh_compress -a -X.pdf
	dh_fixperms -a
	dh_makeshlibs -a
	dh_shlibdeps -a -l$(DESTDIR)/usr/lib/gmt/lib
	dh_installdeb -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a
	

binary-indep: stamps/install-stamp
	dh_testdir -i
	dh_testroot -i
	dh_install --list-missing --sourcedir=$(DESTDIR)
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installmenu -i
	dh_installman -i
	dh_strip -i
	dh_link -i
	dh_compress -i -X.pdf
	# Uncompress examples stuff 
	find  $(CURDIR)/debian/gmt-examples/usr/share/doc/gmt-examples/examples -name "*.gz" -exec gunzip {} \;
	# Remove +x 
	find  $(CURDIR)/debian/gmt-examples/usr/share/doc/gmt-examples/examples -name "*.bat" -exec chmod -x {} \;
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

clean:
	dh_testdir
	dh_testroot
	rm -Rf stamps GMT$(RELEASE) GMT .pc
	dh_clean
